跳至主要內容

...小于 1 分钟

环境要求

要使用IoTDB,你需要具备以下条件:

  • Java >= 1.8

1.8, 11到17都是经过验证的,推荐使用17。请确保环境路径已被相应设置。

  • Maven >= 3.6

如果你想从源代码编译和安装IoTDB。

  • 建议为每个节点配置 hostname。
  • 设置最大打开文件数为65535,以避免出现 "太多的打开文件 "的错误。
  • (可选)将somaxconn设置为65535,以避免系统在高负载时出现 "连接重置 "错误。

# Linux
sudo sysctl -w net.core.somaxconn=65535
# FreeBSD 或 Darwin
sudo sysctl -w kern.ipc.somaxconn=65535

安装包获取

企业版安装包可经由商务获取。

Copyright © 2024 The Apache Software Foundation.
Apache IoTDB, IoTDB, Apache, the Apache feather logo, and the Apache IoTDB project logo are either registered trademarks or trademarks of The Apache Software Foundation in all countries

Have a question? Connect with us on QQ, WeChat, or Slack. Join the community now.